summaryrefslogtreecommitdiff
path: root/bg1/install-patch-totsc-us.sh
diff options
context:
space:
mode:
authorNick White <git@njw.me.uk>2009-06-01 03:18:01 +0100
committerNick White <git@njw.me.uk>2009-06-01 03:18:01 +0100
commit2b5d0fe643cb7abc9a75634d576a6ea19d39ddcf (patch)
tree39854c5270c968b5deeaad12fc22ecd093af89bf /bg1/install-patch-totsc-us.sh
parenta45222f981eab7f3247dc4250a332ecdcb427cd2 (diff)
downloadgemrb-gameinstallers-2b5d0fe643cb7abc9a75634d576a6ea19d39ddcf.tar.bz2
gemrb-gameinstallers-2b5d0fe643cb7abc9a75634d576a6ea19d39ddcf.zip
Added more info to patches & improved url handling
Diffstat (limited to 'bg1/install-patch-totsc-us.sh')
-rwxr-xr-xbg1/install-patch-totsc-us.sh13
1 files changed, 10 insertions, 3 deletions
diff --git a/bg1/install-patch-totsc-us.sh b/bg1/install-patch-totsc-us.sh
index 90b4d9e..9518ae9 100755
--- a/bg1/install-patch-totsc-us.sh
+++ b/bg1/install-patch-totsc-us.sh
@@ -14,7 +14,14 @@
# See <http://www.gnu.org/licenses/> for a copy of the GNU General
# Public License.
#
-# BG1 TOTSC official US/Canada patch
+# BG1 TOTSC official US/Canada patch v1.3.5512
+#
+# info : http://www.planetbaldursgate.com/bg/media/files/patches/TotSC5512Readme.txt
+# size : 6.1 MB
+# date : 8/3/99
+
+patch_url="http://downloads.bioware.com/baldursgate1/BGTalesUS5512.exe"
+patch_name="$(basename $patch_url)"
scriptdir="$(dirname $0)"/..
source "${scriptdir}/includes/generic-includes.sh"
@@ -26,9 +33,9 @@ checkforbin cabextract unshield wget
setuptmp
-getpatch http://downloads.bioware.com/baldursgate1/BGTalesUS5512.exe
+getpatch $patch_url
-cabextract -L "${TMPDIR}/BGTalesUS5512.exe" -d "$TMPDIR" || diesoftly
+cabextract -L "${TMPDIR}/${patch_name}" -d "$TMPDIR" || diesoftly
unshield -L x "${TMPDIR}/data1.cab" -d "$TMPDIR" || diesoftly
cp -R "${TMPDIR}/minimumdata/"* "$TARGETDIR" || diesoftly